Subject: bug#21963: Spurious byte compile message: "Warning: the function `bar' might not be defined at runtime."

From: Alan Mackenzie <[email-masked]>
Date: Fri, 20 Nov 2015 17:50:34 +0000

Hello, John.

On Fri, Nov 20, 2015 at 08:44:56AM -0800, John Wiegley wrote:
> >>>>> Alan Mackenzie <[email-masked]> writes:

> > While eval-when-compile'ing the first line, the byte compiler collects a
> > list of symbols defined by it (in variable
> > byte-compile-noruntime-functions). More or less.

> > There is no mechanism for taking symbols off of that list when they
> > subsequently become defined.

> Not optimal, but I must ask: Should it be fixed? Or, for now, simply noted in
> the elisp manual when discussing the merits of this warning?

I think it should be fixed.  It will eliminate warnings from CC Mode (at
the very least).

I am working on it as we speak.  I expect to produce a patch for review
soon.

> John

-- 
Alan Mackenzie (Nuremberg, Germany).